unit syblabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TSybLabel = class(TLabel)
  private
    { Private declarations }
    function getvalue:string;
    procedure setvalue(value:string);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor destroy; override;
  published
    { Published declarations }
    property Value:string read getvalue write setvalue;
  end;

procedure Register;

implementation
uses sybase_components;

procedure Register;
begin
  RegisterComponents('Sybase DBLIB', [TSybLabel]);
end;

constructor TsybLabel.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  if labellist = nil then
  begin
    LabelList:=TList.create;
  end;
end;

destructor tsyblabel.destroy;
begin
  labellist.remove(self);
  inherited destroy;
end;

function TSybLabel.getvalue:string;
begin
  result:=caption;
end;

procedure TSybLabel.setvalue(value:string);
begin
  caption:=value;
end;

end.
